import { SubsocialApi } from '@subsocial/api';
import { UseMutationResult } from '@tanstack/react-query';
import { MutationConfig, QueryConfig, Transaction, WalletAccount } from '../types';
export declare function useSubsocialQuery<ReturnValue, Params>(params: {
    key: string;
    data: Params | null;
}, func: (params: Params, api: SubsocialApi) => Promise<ReturnValue>, config?: QueryConfig, defaultConfig?: QueryConfig<ReturnValue, Params>): import("@tanstack/react-query").UseQueryResult<ReturnValue, unknown>;
export declare function useSubsocialMutation<Param>(wallet: WalletAccount, transactionGenerator: (params: Param, api: SubsocialApi) => Promise<{
    tx: Transaction;
    summary: string;
}>, config?: MutationConfig<Param>, defaultConfig?: MutationConfig<Param>): UseMutationResult<string, Error, Param, unknown>;
